//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 2000  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KBNamespace class - namespace interface for KBLayouts and things that
// use them
//

/**
 * Namespace interface for KBLayouts.
 */
public interface KBNamespace {

	// handy definitions of glyph groups, to save prefixing each with
	// the class name
	public static final GlyphGroup	NO_GROUP= GlyphGroup.NO_GROUP;
	public static final GlyphGroup	UNSHIFTED_ALPHA
						= GlyphGroup.UNSHIFTED_ALPHA;
	public static final GlyphGroup	SHIFTED_ALPHA
						= GlyphGroup.SHIFTED_ALPHA;
	public static final GlyphGroup	NUMERIC	= GlyphGroup.NUMERIC;
	public static final GlyphGroup	FIGURES	= GlyphGroup.FIGURES;
	public static final GlyphGroup	BASIC	= GlyphGroup.BASIC;

	// same thing for fingers
	public static final Finger	NO_FINGER	= Finger.NO_FINGER;
	public static final Finger	LH_THUMB	= Finger.LH_THUMB;
	public static final Finger	LH_INDEX	= Finger.LH_INDEX;
	public static final Finger	LH_MIDDLE	= Finger.LH_MIDDLE;
	public static final Finger	LH_RING		= Finger.LH_RING;
	public static final Finger	LH_PINKY	= Finger.LH_PINKY;
	public static final Finger	RH_THUMB	= Finger.RH_THUMB;
	public static final Finger	RH_INDEX	= Finger.RH_INDEX;
	public static final Finger	RH_MIDDLE	= Finger.RH_MIDDLE;
	public static final Finger	RH_RING		= Finger.RH_RING;
	public static final Finger	RH_PINKY	= Finger.RH_PINKY;
	

	// definitions of all possible keycodes
	public static final KeyCode	KC_NULL	= KeyCode.KC_NULL;
	public static final KeyCode	KC_1	= KeyCode.KC_1;
	public static final KeyCode	KC_2	= KeyCode.KC_2;
	public static final KeyCode	KC_3	= KeyCode.KC_3;
	public static final KeyCode	KC_4	= KeyCode.KC_4;
	public static final KeyCode	KC_5	= KeyCode.KC_5;
	public static final KeyCode	KC_6	= KeyCode.KC_6;
	public static final KeyCode	KC_7	= KeyCode.KC_7;
	public static final KeyCode	KC_8	= KeyCode.KC_8;
	public static final KeyCode	KC_9	= KeyCode.KC_9;
	public static final KeyCode	KC_10	= KeyCode.KC_10;
	public static final KeyCode	KC_11	= KeyCode.KC_11;
	public static final KeyCode	KC_12	= KeyCode.KC_12;
	public static final KeyCode	KC_13	= KeyCode.KC_13;
	public static final KeyCode	KC_14	= KeyCode.KC_14;
	public static final KeyCode	KC_15	= KeyCode.KC_15;
	public static final KeyCode	KC_16	= KeyCode.KC_16;
	public static final KeyCode	KC_17	= KeyCode.KC_17;
	public static final KeyCode	KC_18	= KeyCode.KC_18;
	public static final KeyCode	KC_19	= KeyCode.KC_19;
	public static final KeyCode	KC_20	= KeyCode.KC_20;
	public static final KeyCode	KC_21	= KeyCode.KC_21;
	public static final KeyCode	KC_22	= KeyCode.KC_22;
	public static final KeyCode	KC_23	= KeyCode.KC_23;
	public static final KeyCode	KC_24	= KeyCode.KC_24;
	public static final KeyCode	KC_25	= KeyCode.KC_25;
	public static final KeyCode	KC_26	= KeyCode.KC_26;
	public static final KeyCode	KC_27	= KeyCode.KC_27;
	public static final KeyCode	KC_28	= KeyCode.KC_28;
	public static final KeyCode	KC_29	= KeyCode.KC_29;
	public static final KeyCode	KC_30	= KeyCode.KC_30;
	public static final KeyCode	KC_31	= KeyCode.KC_31;
	public static final KeyCode	KC_32	= KeyCode.KC_32;
	public static final KeyCode	KC_33	= KeyCode.KC_33;
	public static final KeyCode	KC_34	= KeyCode.KC_34;
	public static final KeyCode	KC_35	= KeyCode.KC_35;
	public static final KeyCode	KC_36	= KeyCode.KC_36;
	public static final KeyCode	KC_37	= KeyCode.KC_37;
	public static final KeyCode	KC_38	= KeyCode.KC_38;
	public static final KeyCode	KC_39	= KeyCode.KC_39;
	public static final KeyCode	KC_40	= KeyCode.KC_40;
	public static final KeyCode	KC_41	= KeyCode.KC_41;
	public static final KeyCode	KC_42	= KeyCode.KC_42;
	public static final KeyCode	KC_43	= KeyCode.KC_43;
	public static final KeyCode	KC_44	= KeyCode.KC_44;
	public static final KeyCode	KC_45	= KeyCode.KC_45;
	public static final KeyCode	KC_46	= KeyCode.KC_46;
	public static final KeyCode	KC_47	= KeyCode.KC_47;
	public static final KeyCode	KC_48	= KeyCode.KC_48;
	public static final KeyCode	KC_49	= KeyCode.KC_49;
	public static final KeyCode	KC_50	= KeyCode.KC_50;
	public static final KeyCode	KC_51	= KeyCode.KC_51;
	public static final KeyCode	KC_52	= KeyCode.KC_52;
	public static final KeyCode	KC_53	= KeyCode.KC_53;
	public static final KeyCode	KC_54	= KeyCode.KC_54;
	public static final KeyCode	KC_55	= KeyCode.KC_55;
	public static final KeyCode	KC_56	= KeyCode.KC_56;
	public static final KeyCode	KC_57	= KeyCode.KC_57;
	public static final KeyCode	KC_58	= KeyCode.KC_58;
	public static final KeyCode	KC_59	= KeyCode.KC_59;
	public static final KeyCode	KC_60	= KeyCode.KC_60;
	public static final KeyCode	KC_61	= KeyCode.KC_61;
	public static final KeyCode	KC_62	= KeyCode.KC_62;
	public static final KeyCode	KC_63	= KeyCode.KC_63;
	public static final KeyCode	KC_64	= KeyCode.KC_64;
	public static final KeyCode	KC_65	= KeyCode.KC_65;
	public static final KeyCode	KC_66	= KeyCode.KC_66;
	public static final KeyCode	KC_67	= KeyCode.KC_67;
	public static final KeyCode	KC_68	= KeyCode.KC_68;
	public static final KeyCode	KC_69	= KeyCode.KC_69;
	public static final KeyCode	KC_70	= KeyCode.KC_70;
	public static final KeyCode	KC_71	= KeyCode.KC_71;
	public static final KeyCode	KC_72	= KeyCode.KC_72;
	public static final KeyCode	KC_73	= KeyCode.KC_73;
	public static final KeyCode	KC_74	= KeyCode.KC_74;
	public static final KeyCode	KC_75	= KeyCode.KC_75;
	public static final KeyCode	KC_76	= KeyCode.KC_76;
	public static final KeyCode	KC_77	= KeyCode.KC_77;
	public static final KeyCode	KC_78	= KeyCode.KC_78;
	public static final KeyCode	KC_79	= KeyCode.KC_79;
	public static final KeyCode	KC_80	= KeyCode.KC_80;
	public static final KeyCode	KC_81	= KeyCode.KC_81;
	public static final KeyCode	KC_82	= KeyCode.KC_82;
	public static final KeyCode	KC_83	= KeyCode.KC_83;
	public static final KeyCode	KC_84	= KeyCode.KC_84;
	public static final KeyCode	KC_85	= KeyCode.KC_85;
	public static final KeyCode	KC_86	= KeyCode.KC_86;
	public static final KeyCode	KC_87	= KeyCode.KC_87;
	public static final KeyCode	KC_88	= KeyCode.KC_88;
	public static final KeyCode	KC_89	= KeyCode.KC_89;
	public static final KeyCode	KC_90	= KeyCode.KC_90;
	public static final KeyCode	KC_91	= KeyCode.KC_91;
	public static final KeyCode	KC_92	= KeyCode.KC_92;
	public static final KeyCode	KC_93	= KeyCode.KC_93;
	public static final KeyCode	KC_94	= KeyCode.KC_94;
	public static final KeyCode	KC_95	= KeyCode.KC_95;
	public static final KeyCode	KC_96	= KeyCode.KC_96;
	public static final KeyCode	KC_97	= KeyCode.KC_97;
	public static final KeyCode	KC_98	= KeyCode.KC_98;
	public static final KeyCode	KC_99	= KeyCode.KC_99;
	public static final KeyCode	KC_100	= KeyCode.KC_100;
	public static final KeyCode	KC_101	= KeyCode.KC_101;
	public static final KeyCode	KC_102	= KeyCode.KC_102;
	public static final KeyCode	KC_103	= KeyCode.KC_103;
	public static final KeyCode	KC_104	= KeyCode.KC_104;

	// long-cut definitions of whether a key is shifted/how or not
	public static final KeyShiftState	UNSHIFTED
						= KeyShiftState.UNSHIFTED;
	public static final KeyShiftState	SHIFTED
						= KeyShiftState.SHIFTED;
	public static final KeyShiftState	META_ALT
						= KeyShiftState.META_ALT;
}
